#pragma once

#include "CoreMinimal.h"
#include "OnGameEventActionInterface.h"
#include "CompetenceAction.h"
#include "GameplayTagContainer.h"
#include "AddStateTagsAction.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDCOMPETENCE_API UAddStateTagsAction : public UCompetenceAction, public IOnGameEventActionInterface
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FGameplayTagContainer _stateTags;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool _applyOnInitialized;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool _applyToEventInstigator;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool _applyToEventTarget;

public:
	UAddStateTagsAction();
};

FORCEINLINE uint32 GetTypeHash(const UAddStateTagsAction) { return 0; }
